Last modified: 2014-06-29 03:51:20 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 60445 - Move QueryPage.php to specialpage folder
Move QueryPage.php to specialpage folder
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Special pages (Other open bugs)
1.23.0
All All
: Normal normal (vote)
: ---
Assigned To: Kevin Israel (PleaseStand)
: easy
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2014-01-26 17:05 UTC by db [inactive,noenotif]
Modified: 2014-06-29 03:51 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description db [inactive,noenotif] 2014-01-26 17:05:21 UTC
The SpecialPage.php and SpecialPageFactory.php was moved to specialpage folder, the QueryPage.php should also be moved there, because it is a special form of a special page.

There is no test, but the test SpecialPageText.php should also be moved to a specialpage folder under 'tests'
Comment 1 Gerrit Notification Bot 2014-01-26 18:15:21 UTC
Change 109587 had a related patch set uploaded by Addshore:
Move QueryPage.php to specialpage folder

https://gerrit.wikimedia.org/r/109587
Comment 2 Gerrit Notification Bot 2014-03-24 14:29:07 UTC
Change 109587 abandoned by Addshore:
Move QueryPage.php to specialpage folder

Reason:
Not worthy of the rebase after all this time

https://gerrit.wikimedia.org/r/109587
Comment 3 Gerrit Notification Bot 2014-06-03 03:24:15 UTC
Change 136970 had a related patch set uploaded by PleaseStand:
Move QueryPage and abstract subclasses to specialpage folder

https://gerrit.wikimedia.org/r/136970
Comment 4 Gerrit Notification Bot 2014-06-29 00:34:42 UTC
Change 136970 merged by jenkins-bot:
Move QueryPage and abstract subclasses to specialpage folder

https://gerrit.wikimedia.org/r/136970

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links